# Module `documentation_test.submod3.submod3`

Expand source code

    class testClass(object):

        """Summary of class

        Attributes
        ----------
        arg : str
            a string to print
        """

        def __init__(self, arg: str):
            """Summary of init

            Parameters
            ----------
            arg : str, optional
                a string to print
            """
            super(testClass, self).__init__()
            self.arg = arg

        @classmethod
        def createString(cls, aString: str):
            """create a string

            Parameters
            ----------
            aString : str
                a string to print
            """
            return cls(arg=aString)

        def printString(self):
            """Print a string
            """
            print(self.arg)

## Classes

`class testClass (arg: str)`

  Summary of class

  ## Attributes

  `arg` :`str`
    a string to print

  Summary of init

  ## Parameters

  `arg` :`str`, optional
    a string to print
  Expand source code

      class testClass(object):

          """Summary of class

          Attributes
          ----------
          arg : str
              a string to print
          """

          def __init__(self, arg: str):
              """Summary of init

              Parameters
              ----------
              arg : str, optional
                  a string to print
              """
              super(testClass, self).__init__()
              self.arg = arg

          @classmethod
          def createString(cls, aString: str):
              """create a string

              Parameters
              ----------
              aString : str
                  a string to print
              """
              return cls(arg=aString)

          def printString(self):
              """Print a string
              """
              print(self.arg)

  ### Static methods

  `def createString(aString: str)`

    create a string

    ## Parameters

    `aString` :`str`
      a string to print
    Expand source code

        @classmethod
        def createString(cls, aString: str):
            """create a string

            Parameters
            ----------
            aString : str
                a string to print
            """
            return cls(arg=aString)

  ### Methods

  `def printString(self)`

    Print a string

    Expand source code

        def printString(self):
            """Print a string
            """
            print(self.arg)